# Method: devices.deviceUsers.clientStates.get

Gets the client state for the device user

### HTTP request

`GET https://cloudidentity.googleapis.com/v1/{name=devices/*/deviceUsers/*/clientStates/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. [Resource name](https://cloud.google.com/apis/design/resource_names) of the ClientState in format: `devices/{device}/deviceUsers/{deviceUser}/clientStates/{partner}`, where `device` is the unique ID assigned to the Device, `deviceUser` is the unique ID assigned to the User and `partner` identifies the partner storing the data. To get the client state for devices belonging to your own organization, the `partnerId` is in the format: `customerId-*anystring*`. Where the `customerId` is your organization's customer ID and `anystring` is any suffix. This suffix is used in setting up Custom Access Levels in Context-Aware Access. You may use `my_customer` instead of the customer ID for devices managed by your own organization. You may specify `-` in place of the `{device}`, so the ClientState resource name can be: `devices/-/deviceUsers/{deviceUserResource}/clientStates/{partner}`. |

### Query parameters

| Parameters ||
|---|---|
| `customer` | `string` Optional. [Resource name](https://cloud.google.com/apis/design/resource_names) of the customer. If you're using this API for your own organization, use `customers/my_customer` If you're using this API to manage another organization, use `customers/{customer}`, where customer is the customer to whom the device belongs. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity/docs/reference/rest/v1/devices.deviceUsers.clientStates#ClientState`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.devices.readonly`
- `https://www.googleapis.com/auth/cloud-identity.devices`
- `https://www.googleapis.com/auth/cloud-identity`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).